package com.waimai.web.admin.mapper;

import com.waimai.web.admin.domain.Carts;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * cartsMapper接口
 * 
 * @author callmeyan
 * @date 2023-04-07
 */
public interface CartsMapper 
{
    /**
     * 查询carts
     * 
     * @param fid carts主键
     * @return carts
     */
    public Carts selectCartsById(@Param("fid") Long fid,@Param("uid")  Long uid);

    /**
     * 查询carts列表
     * 
     * @param carts carts
     * @return carts集合
     */
    public List<Carts> selectCartsList(Carts carts);

    /**
     * 新增carts
     * 
     * @param carts carts
     * @return 结果
     */
    public int insertCarts(Carts carts);

    /**
     * 修改carts
     * 
     * @param carts carts
     * @return 结果
     */
    public int updateCarts(Carts carts);

    /**
     * 删除carts
     * 
     * @param fid carts主键
     * @return 结果
     */
    public int deleteCartsByFid(Long fid);

    /**
     * 批量删除carts
     * 
     * @param fids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCartsByFids(Long[] fids);
}
